Lavalite package that provides insurance management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `b2buy/insurance`.

    "b2buy/insurance": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    B2buy\Insurance\Providers\InsuranceServiceProvider::class,

And also add it to alias

    'Insurance'  => B2buy\Insurance\Facades\Insurance::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=B2buy\\Insurance\\Seeds\\InsuranceTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="B2buy\Insurance\Providers\InsuranceServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B2buy\Insurance\Providers\InsuranceServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B2buy\Insurance\Providers\InsuranceServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/insurance/{modulename}

**User**

    http://path-to-route-folder/user/insurance/{modulename}

**Public**

    http://path-to-route-folder/insurances


### API endpoints

**List**

    http://path-to-route-folder/api/user/insurance/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/insurance/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/insurance/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/insurance/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/insurance/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/insurance/{modulename}/{slug}
    METHOD: GET