<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for insurance in insurance package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  insurance module in insurance package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Insurance',
    'names' => 'Insurances',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Insurances',
        'sub' => 'Insurances'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'phone'                      => 'Please enter phone',
        'company_name'               => 'Please enter company name',
        'position'                   => 'Please enter position',
        'abn'                        => 'Please enter abn',
        'address'                    => 'Please enter address',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'phone'                      => 'Phone',
        'company_name'               => 'Company name',
        'position'                   => 'Position',
        'abn'                        => 'Abn',
        'address'                    => 'Address',
    ],
];
