<?php

// API routes  for insurance.

// Guard routes for insurance
Route::prefix('{guard}/insurance')->group(function () {
    Route::resource('insurance', 'InsuranceResourceController');
});



// Public routes for insurance
Route::get('insurances/', 'InsurancePublicController@index');
Route::get('insurance/{slug?}', 'InsurancePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for insurance
            Route::prefix('{guard}/insurance')->group(function () {
                Route::resource('insurance', 'InsuranceResourceController');
            });
            
            

            // Public routes for insurance
            Route::get('insurances/', 'InsurancePublicController@index');
            Route::get('insurance/{slug?}', 'InsurancePublicController@show');
        }
    );
}