<?php

namespace B2buy\Insurance;

use User;

class Insurance
{
    /**
     * $insurance object.
     */
    protected $insurance;

    /**
     * Constructor.
     */
    public function __construct(\B2buy\Insurance\Interfaces\InsuranceRepositoryInterface $insurance)
    {
        $this->insurance = $insurance;
    }

    /**
     * Returns count of insurance.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Find insurance by slug.
     *
     * @param array $filter
     *
     * @return int
     */
    public function insurance($slug)
    {
        return  $this->insurance
            ->findBySlug($slig)
            ->toArray();
    }
}
